Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
model_server_info = client.model_servers.retrieve(
"model_server_id",
)
print(model_server_info.account_id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
modelServerInfo, err := client.ModelServers.Get(context.TODO(), "model_server_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", modelServerInfo.AccountID)
}
curl --request GET \
--url https://api.egp.scale.com/v4/serving/{model_server_id}const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/serving/{model_server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"model_server_id": "<string>",
"account_id": "<string>",
"model_deployment_id": "<string>",
"alias": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Fixed Server interface for Model execution by named alias
GET
/
v4
/
serving
/
{model_server_id}
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
model_server_info = client.model_servers.retrieve(
"model_server_id",
)
print(model_server_info.account_id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
modelServerInfo, err := client.ModelServers.Get(context.TODO(), "model_server_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", modelServerInfo.AccountID)
}
Path Parameters
Response
Successful Response
Model server information. name: The name of the model server. Only used for display purposes. model_server_id: The ID of the model server. model_deployment_id: The ID of the model deployment being used as the backend. account_id: The ID of the account that owns the model server. alias: An alias for the model server. If configured the model server can be accessed via the alias instead of the model server ID. i.e /models/server/alias/{alias}/execute

